Name:           syncthing-gtk
Summary:        Syncthing GTK+ GUI
Version:        0.9.4.4
Release:        1%{?dist}
License:        GPLv2
URL:            http://syncthing.net/

Source0:        https://github.com/syncthing/%{name}/archive/v%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  desktop-file-utils

BuildArch:      noarch

Requires:       syncthing >= 0.12
Requires:       hicolor-icon-theme

Requires:       psmisc
Requires:       python-dateutil
Requires:       python-gobject

%if 0%{?fedora}
Recommends:     python-inotify
%else
Requires:       python-inotify
%endif


%description
Syncthing replaces Dropbox and BitTorrent Sync with something open,
trustworthy and decentralized. Your data is your data alone and you
deserve to choose where it is stored, if it is shared with some third
party and how it's transmitted over the Internet.

Using syncthing, that control is returned to you.

This package contains the GTK+ GUI for syncthing.


%prep
%autosetup


%build
%py2_build


%install
%py2_install
%find_lang syncthing-gtk


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/syncthing-gtk.desktop || :


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f syncthing-gtk.lang
%license LICENSE

%{_bindir}/syncthing-gtk

%{_datadir}/applications/syncthing-gtk.desktop

%{_datadir}/icons/hicolor/*/*/*.png

%{_datadir}/pixmaps/syncthing-gtk.png
%{_datadir}/syncthing-gtk/

%{_mandir}/man1/syncthing-gtk.1.gz

%{python2_sitelib}/syncthing_gtk-v%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/syncthing_gtk/

%{_datadir}/metainfo/me.kozec.syncthingtk.appdata.xml


%changelog
* Thu Nov 26 2020 Marco Hartgring <marco.hartgring@gmail.com - 0.9.4.4-1
- Initial version 0.9.4.4
